Bug 1045853 - Copying, offline, a meeting to a caldav calendar makes evolution crash
Summary: Copying, offline, a meeting to a caldav calendar makes evolution crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-22 15:10 UTC by Pierre-YvesChibon
Modified: 2016-03-30 19:28 UTC (History)
4 users (show)

Fixed In Version: evolution-3.18.5.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-30 19:28:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Pierre-YvesChibon 2013-12-22 15:10:52 UTC
Description of problem:
I have added a caldav calendar to my evolution, trying to copy a meeting from google calendar into this caldav calendar just makes evolution crash


Version-Release number of selected component (if applicable):
evolution-3.8.5-2.fc19.x86_64

How reproducible:
always


Steps to Reproduce:
1. Set up a caldav calendar (radicale in this case)
2. Switch off wifi/unplug network cable
3. Right click on a meeting, select 'Copy to calendar' there select you caldav calendar

Actual results:
Evolution crashes

I could some output in the terminal:
$ evolution -c calendar
(evolution:9762): libecal-CRITICAL **: e_cal_client_create_object_sync: assertion `(success && (string_list != NULL)) || (!success && (string_list == NULL))' failed
zsh: segmentation fault (core dumped)  evolution -c calendar


Expected results:
Meeting copied into the caldav calendar to be synced w/ the server next time there is network

Additional info:

Comment 1 Pierre-YvesChibon 2013-12-22 15:20:21 UTC
I installed evolution-debuginfo and ran evolution in gdb

Below is the output.

Let me know if there is anything else I could do. I will update to F20 soon(ish) and will try to reproduce it there.



$ gdb evolution
GNU gdb (GDB) Fedora 7.6.1-46.fc19
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Missing separate debuginfo for /lib64/libgraphite2.so.3
Try: yum --enablerepo='*debug*' install /usr/lib/debug/.build-id/a1/aa32c91bc181cb69ebc81bbfd03a1349ea4e33.debug
[New Thread 0x7ffff10aa700 (LWP 11096)]
[New Thread 0x7fffebfff700 (LWP 11097)]
[New Thread 0x7fffeb7fe700 (LWP 11098)]
[New Thread 0x7fffeaffd700 (LWP 11099)]
Detaching after fork from child process 11100.
[New Thread 0x7fffd0b5e700 (LWP 11105)]
[New Thread 0x7fffcbdeb700 (LWP 11106)]
[New Thread 0x7fffcb5ea700 (LWP 11107)]
[New Thread 0x7fffcade9700 (LWP 11108)]
[New Thread 0x7fffca5e8700 (LWP 11109)]
[New Thread 0x7fffc9de7700 (LWP 11110)]
[New Thread 0x7fffc95e6700 (LWP 11111)]
[New Thread 0x7fffc8bde700 (LWP 11112)]
[New Thread 0x7fffbbfff700 (LWP 11113)]
[New Thread 0x7fffb985f700 (LWP 11114)]
[New Thread 0x7fffb8c46700 (LWP 11115)]
[Thread 0x7fffb8c46700 (LWP 11115) exited]
[Thread 0x7fffcb5ea700 (LWP 11107) exited]
[Thread 0x7fffc9de7700 (LWP 11110) exited]
[Thread 0x7fffcade9700 (LWP 11108) exited]
[Thread 0x7fffd0b5e700 (LWP 11105) exited]
[New Thread 0x7fffd0b5e700 (LWP 11130)]
[New Thread 0x7fffcade9700 (LWP 11131)]
[New Thread 0x7fffc9de7700 (LWP 11132)]
[New Thread 0x7fffcb5ea700 (LWP 11133)]
[Thread 0x7fffc95e6700 (LWP 11111) exited]
[Thread 0x7fffca5e8700 (LWP 11109) exited]

(evolution:11092): libecal-CRITICAL **: e_cal_client_create_object_sync: assertion `(success && (string_list != NULL)) || (!success && (string_list == NULL))' failed

Program received signal SIGSEGV, Segmentation fault.
0x00007fffe88aa9ab in e_cal_shell_view_transfer_item_to (cal_shell_view=cal_shell_view@entry=0x12b06b0, event=event@entry=0x182a710, 
    destination_client=0x186b0e0, remove=remove@entry=0) at e-cal-shell-view-private.c:1037
1037				g_warning (
Missing separate debuginfos, use: debuginfo-install GConf2-3.2.6-6.fc19.x86_64 PackageKit-gtk3-module-0.8.9-6.fc19.x86_64 adwaita-gtk3-theme-3.8.4-1.fc19.x86_64 at-spi2-atk-2.8.1-1.fc19.x86_64 at-spi2-core-2.8.0-3.fc19.x86_64 atk-2.8.0-1.fc19.x86_64 boost-iostreams-1.53.0-14.fc19.x86_64 bzip2-libs-1.0.6-8.fc19.x86_64 cairo-1.12.14-2.fc19.x86_64 cairo-gobject-1.12.14-2.fc19.x86_64 cyrus-sasl-lib-2.1.26-10.fc19.x86_64 dbus-glib-0.100-5.fc19.x86_64 dbus-libs-1.6.12-2.fc19.x86_64 dconf-0.16.0-2.fc19.x86_64 enchant-1.6.0-6.fc19.x86_64 evolution-data-server-3.8.5-6.fc19.x86_64 evolution-ews-3.8.5-3.fc19.x86_64 expat-2.1.0-5.fc19.x86_64 fontconfig-2.10.93-1.fc19.x86_64 freetype-2.4.11-7.fc19.x86_64 gcr-3.8.2-1.fc19.x86_64 gdk-pixbuf2-2.28.2-1.fc19.x86_64 geoclue-0.12.99-4.fc19.x86_64 glib-networking-2.36.2-1.fc19.x86_64 glib2-2.36.3-4.fc19.x86_64 glibc-2.17-20.fc19.x86_64 gnash-plugin-0.8.10-8.fc19.x86_64 gnome-desktop3-3.8.4-1.fc19.x86_64 gnome-online-accounts-3.8.5-1.fc19.x86_64 gnome-shell-3.8.4-3.fc19.x86_64 gstreamer1-1.0.10-1.fc19.x86_64 gstreamer1-plugins-base-1.0.10-1.fc19.x86_64 gtk3-3.8.8-2.fc19.x86_64 gtkhtml3-4.6.6-1.fc19.x86_64 gvfs-1.16.3-2.fc19.x86_64 harfbuzz-0.9.19-1.fc19.x86_64 harfbuzz-icu-0.9.19-1.fc19.x86_64 hunspell-1.3.2-13.fc19.x86_64 ibus-gtk3-1.5.4-2.fc19.x86_64 ibus-libs-1.5.4-2.fc19.x86_64 json-glib-0.16.0-1.fc19.x86_64 keyutils-libs-1.5.8-1.fc19.x86_64 krb5-libs-1.11.3-13.fc19.x86_64 libICE-1.0.8-5.fc19.x86_64 libSM-1.2.1-5.fc19.x86_64 libX11-1.6.0-1.fc19.x86_64 libXau-1.0.8-1.fc19.x86_64 libXcomposite-0.4.4-3.fc19.x86_64 libXcursor-1.1.14-1.fc19.x86_64 libXdamage-1.1.4-3.fc19.x86_64 libXext-1.3.2-1.fc19.x86_64 libXfixes-5.0.1-1.fc19.x86_64 libXi-1.7.2-1.fc19.x86_64 libXinerama-1.1.3-1.fc19.x86_64 libXrandr-1.4.1-1.fc19.x86_64 libXrender-0.9.7-6.20130524git786f78fd8.fc19.x86_64 libXt-1.1.4-5.fc19.x86_64 libXxf86vm-1.1.3-1.fc19.x86_64 libbluray-0.4.0-2.fc19.x86_64 libcanberra-0.30-3.fc19.x86_64 libcanberra-gtk3-0.30-3.fc19.x86_64 libcom_err-1.42.7-2.fc19.x86_64 libcroco-0.6.8-2.fc19.x86_64 libcurl-7.29.0-12.fc19.x86_64 libdb-5.3.21-11.fc19.x86_64 libdrm-2.4.49-2.fc19.x86_64 libffi-3.0.13-4.fc19.x86_64 libgcc-4.8.2-7.fc19.x86_64 libgcrypt-1.5.3-2.fc19.x86_64 libgdata-0.13.3-1.fc19.x86_64 libgpg-error-1.11-1.fc19.x86_64 libgweather-3.8.2-1.fc19.x86_64 libical-0.48-4.fc19.x86_64 libicu-50.1.2-9.fc19.x86_64 libidn-1.26-2.fc19.x86_64 libjpeg-turbo-1.2.90-2.fc19.x86_64 libmodman-2.0.1-6.fc19.x86_64 libnotify-0.7.5-5.fc19.x86_64 liboauth-0.9.7-2.fc19.x86_64 libogg-1.3.0-5.fc19.x86_64 libpng-1.5.13-2.fc19.x86_64 libproxy-0.4.11-6.fc19.x86_64 libquvi-0.4.1-3.fc19.x86_64 librsvg2-2.37.0-3.fc19.x86_64 libsecret-0.15-1.fc19.x86_64 libselinux-2.1.13-15.fc19.x86_64 libsoup-2.42.2-5.fc19.x86_64 libssh2-1.4.3-4.fc19.x86_64 libstdc++-4.8.2-7.fc19.x86_64 libtasn1-3.3-1.fc19.x86_64 libtdb-1.2.12-1.fc19.x86_64 libtool-ltdl-2.4.2-21.fc19.x86_64 libuuid-2.23.2-4.fc19.x86_64 libvorbis-1.3.3-4.fc19.x86_64 libwayland-client-1.2.0-1.fc19.x86_64 libwayland-cursor-1.2.0-1.fc19.x86_64 libwayland-server-1.2.0-1.fc19.x86_64 libwebp-0.3.1-1.fc19.x86_64 libxcb-1.9-3.fc19.x86_64 libxkbcommon-0.3.0-1.fc19.x86_64 libxkbfile-1.0.8-3.fc19.x86_64 libxml2-2.9.1-1.fc19.x86_64 libxslt-1.1.28-3.fc19.x86_64 libytnef-1.5-10.fc19.x86_64 lua-5.1.4-12.fc19.x86_64 mesa-libEGL-9.2.4-1.20131128.fc19.x86_64 mesa-libGL-9.2.4-1.20131128.fc19.x86_64 mesa-libgbm-9.2.4-1.20131128.fc19.x86_64 mesa-libglapi-9.2.4-1.20131128.fc19.x86_64 nspr-4.10.2-1.fc19.x86_64 nss-3.15.3-1.fc19.x86_64 nss-mdns-0.10-12.fc19.x86_64 nss-softokn-3.15.3-1.fc19.x86_64 nss-softokn-freebl-3.15.3-1.fc19.x86_64 nss-sysinit-3.15.3-1.fc19.x86_64 nss-util-3.15.3-1.fc19.x86_64 openldap-2.4.36-4.fc19.x86_64 openssl-libs-1.0.1e-31.fc19.x86_64 orc-0.4.17-2.fc19.x86_64 p11-kit-0.18.7-1.fc19.x86_64 pango-1.34.1-1.fc19.x86_64 pcre-8.32-7.fc19.x86_64 pixman-0.30.0-1.fc19.x86_64 rhythmbox-2.99.1-1.fc19.x86_64 sqlite-3.8.0.2-4.fc19.x86_64 systemd-libs-204-18.fc19.x86_64 totem-mozplugin-3.8.2-1.fc19.x86_64 totem-pl-parser-3.4.5-1.fc19.x86_64 webkitgtk3-2.0.4-1.fc19.x86_64 xz-libs-5.1.2-4alpha.fc19.x86_64 zlib-1.2.7-10.fc19.x86_64
(gdb) quit
A debugging session is active.

	Inferior 1 [process 11092] will be killed.

Quit anyway? (y or n) y

Comment 2 Pierre-YvesChibon 2013-12-23 09:28:02 UTC
On Fedora 20, the segfault does not happen anymore but nothing happens as well.

There is no error message, no information message, no crash, no copying of the meeting, nothing :)

Comment 3 Milan Crha 2014-01-15 16:18:34 UTC
(In reply to Pierre-YvesChibon from comment #2)
> There is no error message, no information message, no crash, no copying of
> the meeting, nothing :)

I guess there is a lack of propagation of the error to UI, it probably only prints the error on evolution's console, but doesn't show it in UI. In any case, better than crashing the application.

Comment 4 Fedora Admin XMLRPC Client 2014-09-04 14:28:29 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Jaroslav Reznik 2015-03-03 15:20:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Milan Crha 2016-03-30 19:28:25 UTC
I tried to reproduce this and the result is that an error is shown in UI:
   Cannot create calendar object: Repository offline
which is just as expected. I'm closing this in favour of 3.18.5.2.


Note You need to log in before you can comment on or make changes to this bug.